LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XLinguServiceEventListener Interface Referencepublished

is used to inform listeners about LinguServiceEvents. More...

`import "XLinguServiceEventListener.idl";`

Inheritance diagram for XLinguServiceEventListener:

## Public Member Functions
void | processLinguServiceEvent ([in] com::sun::star::linguistic2::LinguServiceEvent aLngSvcEvent)
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used to inform listeners about LinguServiceEvents.

The function of this interface is used by the com::sun::star::linguistic2::XLinguServiceEventBroadcaster to inform its listeners about the com::sun::star::linguistic2::LinguServiceEvents.

See also
  com::sun::star::linguistic2::XLinguServiceManager

## Member Function Documentation

## ◆ processLinguServiceEvent()

void processLinguServiceEvent | ( | [in] com::sun::star::linguistic2::LinguServiceEvent | aLngSvcEvent | ) |

Parameters

  aLngSvcEvent | the event the listener will be informed about.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XLinguServiceEventListener.idl